Phone Numbers
View Profile
View the profile information that is set on the WhatsApp Phone Number
GET
/
api
/
v1
/
phone-numbers
/
{number}
/
business-profile
/
cURL
curl --request GET \
--url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/phone-numbers/{number}/business-profile/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/phone-numbers/{number}/business-profile/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/phone-numbers/{number}/business-profile/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessAccount": "<string>",
"activeAgent": "<string>",
"defaultRouting": "<string>",
"defaultWebhook": "<string>",
"isSandbox": true
}Authorizations
API key authentication. Pass your API key in the X-API-Key header.
Path Parameters
Response
200 - application/json
Serializer for WhatsappNumber model.
Maximum string length:
15Was this page helpful?
Previous
Webhook SubscribeRoute inbound messages on this number to a webhook. Drops any connected agent.
Next
⌘I
cURL
